Package org.eclipse.net4j.util.container

# Interface ContainerElementList.Prioritized

All Superinterfaces:
  `Comparable<ContainerElementList.Prioritized>`

Enclosing class:
  ContainerElementList<ELEMENT>

public static interface ContainerElementList.Prioritized extends Comparable<ContainerElementList.Prioritized>
Smaller `priority` values are ranked higher.

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`default int`
`compareTo(ContainerElementList.Prioritized o)`
`int`
`getPriority()`
Smaller values are ranked higher.

## Method Details

### getPriority

int getPriority()
Smaller values are ranked higher.

### compareTo

default int compareTo(ContainerElementList.Prioritized o)

Specified by:
  `compareTo` in interface `Comparable<ContainerElementList.Prioritized>`